Bug 433427 - FF is really slow when effect of moving out tab in addon manager
FF is really slow when effect of moving out tab in addon manager
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
medium Severity low
: rc
: ---
Assigned To: Gecko Maintainer
Depends On:
  Show dependency treegraph
Reported: 2008-02-19 03:43 EST by Michal Nowak
Modified: 2013-03-07 21:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-18 04:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-02-19 03:43:12 EST
Description of problem:

In FF-3 there's problem in FF or cairo that causes to be really slow in moving
out tab in addon manager. Whole FF freezes and user has to wait for effect to be

Version-Release number of selected component (if applicable):


How reproducible: always

Actual results:

effect is slow

Expected results:

effect does not blocks whole FF

Additional info:

I was running latest snapshots of FF in Gentoo and this problem occured in
various parts of browser mainly the addon manager and in listbox with page
addresses but it disappeared in newest snapshots. The addon thing persists. 

I am not certainly sure whether is it FF or cairo thing (note that we are using
cairo-1.2.4 in RHEL-5.1...) -- rebasing cairo to 1.5.x might help here but will
brake the rest of system :).
Comment 1 Michal Nowak 2008-04-02 07:00:04 EDT
This is still present in firefox-3.0-0.beta4.1.el5 but not that annoying. 
Comment 2 Matěj Cepl 2008-06-17 11:50:53 EDT
Could you try the lastest update of firefox? If you can reproduce it, could you
provide some snapshot or something, so that I could understand what actually you
are talking about ;-) (sorry, but I didn't get it yet). Thank you.
Comment 3 Michal Nowak 2008-06-18 04:40:11 EDT
Not reproducible in 3.0b5-0.beta5.6.el5.

I was about the menu bar (e.g. "Restart FF to complete the add-on
installation"), when it was emerging and disappearing it was terribly slow.

Not that annoying in stock ff3.
Comment 4 Matěj Cepl 2008-06-18 16:17:43 EDT
Cool! Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.